# Uses of Class
org.apache.datasketches.frequencies.ItemsSketch.Row

Packages that use ItemsSketch.Row
Package
Description
org.apache.datasketches.frequencies
This package is dedicated to streaming algorithms that enable estimation of the frequency of occurrence of items in a weighted multiset stream of items.

## Uses of ItemsSketch.Row in org.apache.datasketches.frequencies

Methods in org.apache.datasketches.frequencies that return ItemsSketch.Row
Modifier and Type
Method
Description
`ItemsSketch.Row<T>[]`
ItemsSketch.`getFrequentItems(long threshold, ErrorType errorType)`
Returns an array of Rows that include frequent items, estimates, upper and lower bounds given a threshold and an ErrorCondition.
`ItemsSketch.Row<T>[]`
ItemsSketch.`getFrequentItems(ErrorType errorType)`
Returns an array of Rows that include frequent items, estimates, upper and lower bounds given an ErrorCondition and the default threshold.
Methods in org.apache.datasketches.frequencies with parameters of type ItemsSketch.Row
Modifier and Type
Method
Description
`int`
ItemsSketch.Row.`compareTo(ItemsSketch.Row<T> that)`
This compareTo is strictly limited to the Row.getEstimate() value and does not imply any ordering whatsoever to the other elements of the row: item and upper and lower bounds.